Route lead through processor
curl --request POST \
--url https://api.getnexor.ai/api/public/processors/{processorId}/leads \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"source": "<string>",
"company": "<string>",
"title": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://api.getnexor.ai/api/public/processors/{processorId}/leads"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"source": "<string>",
"company": "<string>",
"title": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
source: '<string>',
company: '<string>',
title: '<string>',
campaign_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};
fetch('https://api.getnexor.ai/api/public/processors/{processorId}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"lead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"source": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"title": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"workflow_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"routing": {
"processor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processor_name": "<string>",
"matched_rule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"position": 123
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Route Lead Through Processor
Create a lead and route it through a processor’s rules to determine the target workflow. The request body is identical to Create Lead but without workflow_id.
POST
/
processors
/
{processorId}
/
leads
Route lead through processor
The
metadata object is the primary source for routing conditions. Include all the fields your processor’s rules need to evaluate (e.g., language, budget, city, campaign_name).Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Processor ID
Body
application/json
Last modified on August 7, 2026
⌘I